Bug 1276693 - (CVE-2015-5312) CVE-2015-5312 libxml2: CPU exhaustion when processing specially crafted XML input
CVE-2015-5312 libxml2: CPU exhaustion when processing specially crafted XML i...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151201,repor...
: Security
Depends On: 1284794 1286495 1286496 1286497 1322871
Blocks: 1274223 1276694 1318206
  Show dependency treegraph
 
Reported: 2015-10-30 10:00 EDT by Adam Mariš
Modified: 2017-03-08 02:37 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in libxml2. A remote attacker could provide a specially crafted XML or HTML file that, when processed by an application using libxml2, would cause that application to use an excessive amount of CPU.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (445 bytes, patch)
2015-10-30 12:59 EDT, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2015-10-30 10:00:52 EDT
A vulnerability in libxml2 was found causing DoS by exhausting CPU when parsing specially crafted XML document.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=756733
Comment 2 Adam Mariš 2015-10-30 12:59 EDT
Created attachment 1087984 [details]
Proposed patch

Patch proposed by Google Security Team.
Comment 6 Huzaifa S. Sidhpurwala 2015-12-01 04:50:37 EST
Upstream commit:

https://git.gnome.org/browse/libxml2/commit/?id=69030714cde66d525a8884bda01b9e8f0abf8e1e
Comment 8 errata-xmlrpc 2015-12-07 05:14:24 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:2549 https://rhn.redhat.com/errata/RHSA-2015-2549.html
Comment 9 errata-xmlrpc 2015-12-07 07:00:27 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2550 https://rhn.redhat.com/errata/RHSA-2015-2550.html
Comment 13 errata-xmlrpc 2016-05-17 12:13:53 EDT
This issue has been addressed in the following products:



Via RHSA-2016:1089 https://rhn.redhat.com/errata/RHSA-2016-1089.html

Note You need to log in before you can comment on or make changes to this bug.